import cors from 'cors';
import bodyParser from 'body-parser';

// A type of promise-like that resolves synchronously and supports only one observer

const _iteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.iterator || (Symbol.iterator = Symbol("Symbol.iterator"))) : "@@iterator";

const _asyncIteratorSymbol = /*#__PURE__*/ typeof Symbol !== "undefined" ? (Symbol.asyncIterator || (Symbol.asyncIterator = Symbol("Symbol.asyncIterator"))) : "@@asyncIterator";

// Asynchronously call a function and send errors to recovery continuation
function _catch(body, recover) {
	try {
		var result = body();
	} catch(e) {
		return recover(e);
	}
	if (result && result.then) {
		return result.then(void 0, recover);
	}
	return result;
}

var axios =
/*#__PURE__*/
require('axios');

var proxyCors = function proxyCors(app) {
  app.use(cors());
  app.use(bodyParser.json());
  app.all('/proxy-cors/*', function (req, res) {
    try {
      return Promise.resolve(_catch(function () {
        var method = req.method;
        var data = req.body;
        var url = req.path.replace(/^\/proxy-cors\//, '');
        return Promise.resolve(axios({
          method: method,
          url: url,
          data: data
        })).then(function (response) {
          console.log('[proxy-cors]: response', response.data);
          return res.json(response.data);
        });
      }, function (err) {
        console.log('[proxy-cors]: err', err);
        return res.json(err);
      }));
    } catch (e) {
      return Promise.reject(e);
    }
  });
};

export { proxyCors };
//# sourceMappingURL=proxy-cors.esm.js.map
